> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email templates

> Read all available templates



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/email_templates
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/email_templates:
    get:
      tags:
        - EmailTemplates
      summary: Get email templates
      description: Read all available templates
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  rules:
                    items:
                      $ref: '#/components/schemas/EmailTemplateSchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EmailTemplateSchema:
      additionalProperties: true
      properties:
        cc_address:
          default: null
          description: The email address to CC
          nullable: true
          type: string
        heron_id:
          description: Unique identifier for the email template
          readOnly: true
          type: string
        html_body:
          description: The body of the email to send.
          type: string
        name:
          description: >-
            Unique name of the email template. Used to match which email
            template to send. Only alphanumeric characters, underscores, and
            dashes are allowed.
          maxLength: 50
          minLength: 3
          pattern: ^[a-zA-Z0-9_-]+$
          type: string
        reply_to_address:
          default: null
          description: The email address to reply to
          nullable: true
          type: string
        to_address:
          default: null
          description: The email address to send the email to
          nullable: true
          type: string
      required:
        - html_body
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````